#!/bin/bash

source install_library.bash
source sources.bash

echo Using ARCHIVE=$ARCHIVE

# Basic stuff
install_packages build-essential emacs subversion libreadline5-dev openssh-server autoconf php5-cli

# Python stuff
install_packages python-dev python-numpy python-scipy python-wxglade swig
install_packages python-setuptools
easy_install pypdf svglib reportlab

# Kernel stuff
install_packages linux-source kernel-package

# External stuff
if test "$LIBCONFIG_URL"; then
    LIBCONFIG=`get_http $LIBCONFIG_URL`
    LCDIR=`tar -tf $LIBCONFIG | head -1`
    LIBCONFIG_DIR=$ARCHIVE/$LCDIR

    tar -C $ARCHIVE -xzf $LIBCONFIG
    cd $LIBCONFIG_DIR
    ./configure -C --prefix=$PREFIX
    make
    $SUDO make install
else
    # Ubuntu-packaged.
    install_package libconfig8 libconfig8-dev
fi
